Index: res/res_config_ldap.c
===================================================================
--- res/res_config_ldap.c	(revision 145012)
+++ res/res_config_ldap.c	(working copy)
@@ -935,10 +935,20 @@
 static struct ast_config *realtime_multi_ldap(const char *basedn,
       const char *table_name, va_list ap)
 {
+	char *op;
+	const char *initfield = NULL;
+	const char *newparam, *newval;
 	struct ast_variable **vars =
 		realtime_ldap_base_ap(NULL, basedn, table_name, ap);
 	struct ast_config *cfg = NULL;
 
+	newparam = va_arg(ap, const char *);
+	newval = va_arg(ap, const char *);
+	initfield = ast_strdupa(newparam);
+	if ((op = strchr(initfield, ' '))) {
+		*op = '\0';
+	}
+
 	if (vars) {
 		cfg = ast_config_new();
 		if (!cfg) {
@@ -955,6 +965,9 @@
 				} else {
 					struct ast_variable *var = *p;
 					while (var) {
+						if (initfield && !strcmp(initfield,var->name)) {
+							ast_category_rename(cat, var->value);
+						}
 						struct ast_variable *next = var->next;
 						var->next = NULL;
 						ast_variable_append(cat, var);
